#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pygtk
pygtk.require("2.0")
import gtk

class pwdDialog(gtk.Dialog):
    def __init__(self, parent=None):
        super(pwdDialog, self).__init__(parent=parent)

        accelgroup = gtk.AccelGroup()
        key, modifier = gtk.accelerator_parse('Escape')
        accelgroup.connect_group(key, modifier, gtk.ACCEL_VISIBLE, self.cb_response)
        self.add_accel_group(accelgroup)

        self.connect("response", self.cb_response)

        self.set_title("Autorización")
        self.set_modal(True)

        self.t_pwd=gtk.Entry()
        self.t_pwd.set_visibility(False)
        self.t_pwd.set_invisible_char("*")
        self.t_pwd.connect("activate", self.enter_pulsado, gtk.RESPONSE_OK)

        self.add_buttons(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL, gtk.STOCK_OK, gtk.RESPONSE_OK)

        self.vbox.pack_start(self.t_pwd, False, False, 5)
        self.show_all()
        self.hide()

    def cb_response(self, *args):
        pass

    def enter_pulsado(self, widget, response):
        self.response(response)

    def get_pass(self):
        return self.t_pwd.get_text()

if __name__== "__main__":
    p=pwdDialog()
    r=p.run()

    print p.get_pass()

