#/usr/bin/env python
# -*- coding: utf-8 -*-
from hashlib import sha512
from crypt import crypt
from cgaconfig import PWDFILE

class pwdManager:
    def __init__(self):
        self.pwd=self._read_pwd()
#        print "PM - Cargado el pass:", self.pwd

    def _read_pwd(self):
        return open(PWDFILE, "r").read().strip()

    def save(self):
        open(PWDFILE, "w").write(self.pwd)

    def check(self, pwd):
        pwd2=self._crypt(pwd)
        return pwd2 == self.pwd or self._is_old_pwd(pwd)

    def _crypt(self, pwd):
        return sha512(pwd).hexdigest()

    def _is_old_pwd(self, pwd):
        return self.pwd==crypt(pwd, "/")

    def update(self, pwd):
        self.pwd=self._crypt(pwd)


if __name__=="__main__":
    pa="patata"
    pamalo="potete"

    p=pwdManager()

    print "PWD OK:", p.check(pa)
    print "PWD KO:", p.check(pamalo)
    p.update(pamalo)
    print "PWD OK:", p.check(pamalo)
    print "PWD KO:", p.check(pa)

    p.save()

    del p
    
    p=pwdManager()
   
    print "PWD OK:", p.check(pamalo)
    print "PWD KO:", p.check(pa)
    p.update(pa)
    print "PWD OK:", p.check(pa)
    print "PWD KO:", p.check(pamalo)
    

    


